commit 8481f9520218ee4ff2325a03e484930befa446cf
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Wed May 27 18:40:02 2020 +0200

    cleanup

diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/Application.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/Application.java
index 1359050e5..0e6edba82 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/Application.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/Application.java
@@ -10,15 +10,11 @@ import org.eclipse.ui.PlatformUI;
  * This class controls all aspects of the application's execution
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class Application implements IApplication {
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.equinox.app.IApplication#start(org.eclipse.equinox.app.IApplicationContext)
-	 */
-	/** {@inheritDoc} */
-	public Object start(IApplicationContext context) {
+	@Override
+    public Object start(IApplicationContext context) {
 		Display display = PlatformUI.createDisplay();
 		try {
 			int returnCode = PlatformUI.createAndRunWorkbench(display, new ApplicationWorkbenchAdvisor());
@@ -31,21 +27,19 @@ public class Application implements IApplication {
 		}
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.equinox.app.IApplication#stop()
-	 */
-	/**
-	 * <p>stop</p>
-	 */
-	public void stop() {
+	@Override
+    public void stop() {
 		final IWorkbench workbench = PlatformUI.getWorkbench();
-		if (workbench == null)
-			return;
+		if (workbench == null) {
+            return;
+        }
 		final Display display = workbench.getDisplay();
 		display.syncExec(new Runnable() {
-			public void run() {
-				if (!display.isDisposed())
-					workbench.close();
+			@Override
+            public void run() {
+				if (!display.isDisposed()) {
+                    workbench.close();
+                }
 			}
 		});
 	}
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationActionBarAdvisor.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationActionBarAdvisor.java
index 75e32e5f1..d2135e5f0 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationActionBarAdvisor.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationActionBarAdvisor.java
@@ -14,7 +14,6 @@ import eu.etaxonomy.taxeditor.store.StoreUtil;
  * new actions.
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class ApplicationActionBarAdvisor extends ActionBarAdvisor {
 
@@ -30,10 +29,10 @@ public class ApplicationActionBarAdvisor extends ActionBarAdvisor {
 		super(configurer);
 	}
 
-	/** {@inheritDoc} */
-	protected void makeActions(final IWorkbenchWindow window) {
+	@Override
+    protected void makeActions(final IWorkbenchWindow window) {
 		StoreUtil.setStatusLineManager(getActionBarConfigurer().getStatusLineManager());
-		
+
 		saveAction = ActionFactory.SAVE.create(window);
 		register(saveAction);
 
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchAdvisor.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchAdvisor.java
index f5c553f74..a72f5af6a 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchAdvisor.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchAdvisor.java
@@ -20,7 +20,6 @@ import eu.etaxonomy.taxeditor.store.CdmAuthenticationException;
  * <p>ApplicationWorkbenchAdvisor class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class ApplicationWorkbenchAdvisor extends WorkbenchAdvisor {
 
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchWindowAdvisor.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchWindowAdvisor.java
index 4057ed1d6..71ba9cfc8 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchWindowAdvisor.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/ApplicationWorkbenchWindowAdvisor.java
@@ -21,9 +21,7 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.util.ApplicationUtil;
 
 /**
- *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class ApplicationWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {
 
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/TaxonomicEditorPlugin.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/TaxonomicEditorPlugin.java
index 3d2a3330d..0067f170c 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/TaxonomicEditorPlugin.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/TaxonomicEditorPlugin.java
@@ -19,7 +19,6 @@ import eu.etaxonomy.taxeditor.model.MessagingUtils;
  * The activator class controls the plug-in life cycle
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxonomicEditorPlugin extends AbstractUIPlugin {
 	private static final Logger logger = Logger
@@ -34,13 +33,13 @@ public class TaxonomicEditorPlugin extends AbstractUIPlugin {
 
 	private PackageAdmin packageAdmin;
 
-	private ServiceReference packageAdminRef;
+	private ServiceReference<?> packageAdminRef;
 
 	/** Constant <code>bundleContext</code> */
 	protected static BundleContext bundleContext;
 
 
-	private ServiceRegistration policyRegistration;
+	private ServiceRegistration<?> policyRegistration;
 
 	private ProvisioningSession session;
 	private ProvisioningUI ui;
@@ -53,11 +52,6 @@ public class TaxonomicEditorPlugin extends AbstractUIPlugin {
 	public TaxonomicEditorPlugin() {
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void start(BundleContext context) throws Exception {
 		super.start(context);
@@ -88,11 +82,6 @@ public class TaxonomicEditorPlugin extends AbstractUIPlugin {
 		return null;
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public void stop(BundleContext context) throws Exception {
 	    plugin = null;
@@ -116,7 +105,7 @@ public class TaxonomicEditorPlugin extends AbstractUIPlugin {
 	public ProvisioningUI getProvisioningUI() {
 
 	    if (ui == null) {
-	        ServiceReference reference = bundleContext.getServiceReference(IProvisioningAgent.SERVICE_NAME);
+	        ServiceReference<?> reference = bundleContext.getServiceReference(IProvisioningAgent.SERVICE_NAME);
 	        IProvisioningAgent agent = (IProvisioningAgent) bundleContext.getService(reference);
 	        session = new ProvisioningSession(agent);
 	        Policy policy = null;// = (Policy) ServiceHelper.getService(ProvUIActivator.getContext(), Policy.class.getName());
@@ -127,6 +116,4 @@ public class TaxonomicEditorPlugin extends AbstractUIPlugin {
 	    }
 	    return ui;
 	}
-
-
 }
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Uses.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Uses.java
index 92ffa76d4..911fdf3ee 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Uses.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Uses.java
@@ -11,14 +11,9 @@ import eu.etaxonomy.taxeditor.editor.AppModelId;
  * Uses Class
  * @author a.theys
  * @created mar 13, 2012
- * @version 1.0
  */
 public class Uses extends Default {
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public void createInitialLayout(IPageLayout layout) {
 		layout.addView(NAVIGATOR, IPageLayout.LEFT, 0.25f, layout.getEditorArea());
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/annotatedlineeditor/EntityListener.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/annotatedlineeditor/EntityListener.java
index 6e1468783..75f18128f 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/annotatedlineeditor/EntityListener.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/annotatedlineeditor/EntityListener.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -19,17 +19,14 @@ import org.apache.log4j.Logger;
  *
  * @author p.ciardelli
  * @created 31.08.2009
- * @version 1.0
  */
 abstract public class EntityListener implements PropertyChangeListener {
-	private static final Logger logger = Logger
-			.getLogger(EntityListener.class);
 
-	/* (non-Javadoc)
-	 * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
-	 */
-	/** {@inheritDoc} */
-	public void propertyChange(PropertyChangeEvent evt) {
+    @SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(EntityListener.class);
+
+	@Override
+    public void propertyChange(PropertyChangeEvent evt) {
 		updateEntity();
 	}
 
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorUtil.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorUtil.java
index b1d8f21f9..c38bf4713 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorUtil.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorUtil.java
@@ -29,11 +29,9 @@ import eu.etaxonomy.taxeditor.workbench.WorkbenchUtility;
  *
  * @author n.hoffmann
  * @created Mar 12, 2010
- * @version 1.0
  */
 public class BulkEditorUtil extends AbstractUtility{
 
-
 	/**
 	 * <p>getPluginId</p>
 	 *
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/command/BulkEditorPropertyTester.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/command/BulkEditorPropertyTester.java
index 48359f4db..9f0502897 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/command/BulkEditorPropertyTester.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/command/BulkEditorPropertyTester.java
@@ -40,7 +40,6 @@ public class BulkEditorPropertyTester extends PropertyTester {
     public static final String IS_TEAM = "isTeam";
     public static final String IS_MEDIA_EDITOR = "isMediaEditor";
 
-    /** {@inheritDoc} */
 	@Override
     public boolean test(Object receiver, String property, Object[] args,
 			Object expectedValue) {
@@ -48,11 +47,11 @@ public class BulkEditorPropertyTester extends PropertyTester {
 
 		bulkEditor = (BulkEditorE4) receiver;
 		if (IS_MERGING_ENABLED.equals(property)) {
-			AbstractBulkEditorInput input = bulkEditor.getEditorInput();
+			AbstractBulkEditorInput<?> input = bulkEditor.getEditorInput();
 			return ((AbstractBulkEditorInput<?>) input).isMergingEnabled();
 		}
 		if (IS_CONVERT_ENABLED.equals(property)) {
-		    AbstractBulkEditorInput input = bulkEditor.getEditorInput();
+		    AbstractBulkEditorInput<?> input = bulkEditor.getEditorInput();
 		    return ((AbstractBulkEditorInput<?>) input).isConvertingEnabled();
 		}
 		else if(IS_GROUP_EDITOR.equals(property)){
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java
index 35b950d86..1fa3f0e0c 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java
@@ -65,10 +65,8 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
 
 /**
- *
  * @author pplitzner
  * @since Sep 8, 2017
- *
  */
 public class BulkEditorE4 implements IPartContentHasDetails, IConversationEnabled, IPostOperationEnabled,
         IDirtyMarkable, IDerivedUnitFacadePart, IPartContentHasFactualData,
@@ -98,7 +96,6 @@ public class BulkEditorE4 implements IPartContentHasDetails, IConversationEnable
     public BulkEditorE4() {
 	}
 
-	@SuppressWarnings("unused")
     public void init(AbstractBulkEditorInput<?> input){
 	    this.input = input;
 	    this.conversation = input.getConversation();
@@ -107,7 +104,6 @@ public class BulkEditorE4 implements IPartContentHasDetails, IConversationEnable
 	    bulkEditorComposite.init(input);
 	}
 
-	/** {@inheritDoc} */
 	@PostConstruct
 	public void createPartControl(Composite parent, IEclipseContext context) {
 	    bulkEditorComposite = new BulkEditorE4Composite(this, parent, SWT.NONE);
@@ -314,9 +310,6 @@ public class BulkEditorE4 implements IPartContentHasDetails, IConversationEnable
         return null;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public void update() {
         input.performSearch(lastQuery, getSelection());
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicMarkerTypeEditingMenuE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicMarkerTypeEditingMenuE4.java
index 455db1dd2..fa9464fb5 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicMarkerTypeEditingMenuE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicMarkerTypeEditingMenuE4.java
@@ -32,10 +32,8 @@ import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
- *
  * @author pplitzner
  * @date 26.09.2017
- *
  */
 public class DynamicMarkerTypeEditingMenuE4 {
 
@@ -43,7 +41,6 @@ public class DynamicMarkerTypeEditingMenuE4 {
     public static final String COMMAND_PARAMETER_MARKER_TYPE = COMMAND_ID+".markerType"; //$NON-NLS-1$
     public static final String COMMAND_PARAMETER_MARKER_STATE = COMMAND_ID+".markerState"; //$NON-NLS-1$
 
-	/** {@inheritDoc} */
     @AboutToShow
     public void aboutToShow(List<MMenuElement> items, @Named(IServiceConstants.ACTIVE_SELECTION)Object selection) {
         if(selection instanceof StructuredSelection && ((StructuredSelection)selection).isEmpty()){
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java
index 962da79b5..09a17b80c 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java
@@ -32,17 +32,14 @@ import eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput;
 import eu.etaxonomy.taxeditor.l10n.Messages;
 
 /**
- *
  * @author pplitzner
  * @date 12.09.2017
- *
  */
 public class DynamicNewObjectMenuE4 {
 
 	private Map<? extends Object, String> classLabelPairs;
     private BulkEditorE4 editor;
 
-	  /** {@inheritDoc} */
     @AboutToShow
     public void aboutToShow(@Named(IServiceConstants.ACTIVE_PART)MPart activePart,
             List<MMenuElement> items) {
@@ -71,7 +68,6 @@ public class DynamicNewObjectMenuE4 {
 
         menuItem.setCommand(mCommand);
         menu.getChildren().add(menuItem);
-
 	}
 
 	/**
@@ -80,7 +76,7 @@ public class DynamicNewObjectMenuE4 {
 	 */
 	private Map<? extends Object, String> getClassLabelPairs() {
 		if (editor != null){
-		    AbstractBulkEditorInput input = editor.getEditorInput();
+		    AbstractBulkEditorInput<?> input = editor.getEditorInput();
 
 		    IEntityCreator<?> entityCreator = input.getEntityCreator();
 		    if(entityCreator!=null){
@@ -88,6 +84,8 @@ public class DynamicNewObjectMenuE4 {
 		    }
 		}
 
-		return Collections.EMPTY_MAP;
+		@SuppressWarnings("unchecked")
+        Map<? extends Object, String> result = Collections.EMPTY_MAP;
+		return result;
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
index 6dd0b606b..371208157 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
@@ -52,8 +52,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
 /**
  * @author p.ciardelli
  * @created 25.06.2009
- * @version 1.0
- * @param <T>
  */
 public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEntitySessionInput implements
     IEntityPersistenceService<T> {
@@ -336,8 +334,6 @@ public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEnti
 		return false;
 	}
 
-
-	/** {@inheritDoc} */
 	@Override
     public boolean merge(T entity, T mergeTarget) {
 		if (entity instanceof IMergable) {
@@ -390,7 +386,6 @@ public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEnti
 	    mergedEntities.clear();
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public T create(T entity) {
 		return save(entity);
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java
index bd2cd700f..d35b6b314 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java
@@ -115,20 +115,16 @@ public class AgentEditorInput extends AbstractBulkEditorInput<TeamOrPersonBase>
 		return instance;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public boolean isMergingEnabled() {
 		return true;
 	}
 
-
-	/** {@inheritDoc} */
 	@Override
 	public boolean isConvertingEnabled() {
 		return true;
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public boolean merge(TeamOrPersonBase entity, TeamOrPersonBase mergeTarget) {
 		if (entity instanceof IMergable) {
@@ -163,7 +159,6 @@ public class AgentEditorInput extends AbstractBulkEditorInput<TeamOrPersonBase>
         return CdmStore.getService(IAgentService.class).countByTitle(configurator);
     }
 
-	/** {@inheritDoc} */
 	@Override
 	public List<TeamOrPersonBase> listEntities(IIdentifiableEntityServiceConfigurator configurator) {
 
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java
index 6cf2ee2db..582e2c5b4 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java
@@ -150,7 +150,6 @@ public class ReferenceEditorInput extends AbstractBulkEditorInput<Reference> {
         return CdmStore.getService(IReferenceService.class).countByTitle(configurator);
     }
 
-	/** {@inheritDoc} */
 	@Override
 	public List listEntities(IIdentifiableEntityServiceConfigurator configurator) {
 		return CdmStore.getSearchManager().findReferences(configurator);
@@ -158,7 +157,6 @@ public class ReferenceEditorInput extends AbstractBulkEditorInput<Reference> {
 
 	// Entity persistence
 
-	/** {@inheritDoc} */
 	@Override
 	public Reference loadEntity(UUID entityUuid) {
 		List<String> propertyPaths = Arrays.asList(new String[]{"*", "inReference.*", "authorTeam.*"});
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/AgentCreator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/AgentCreator.java
index 8d4526aa8..1c1276cd6 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/AgentCreator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/AgentCreator.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -24,14 +24,13 @@ import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
  *
  * @author p.ciardelli
  * @created 18.09.2009
- * @version 1.0
  */
 public class AgentCreator implements IEntityCreator<TeamOrPersonBase> {
-	private static final Logger logger = Logger.getLogger(AgentCreator.class);
 
+    private static final Logger logger = Logger.getLogger(AgentCreator.class);
 
-	/** {@inheritDoc} */
-	public TeamOrPersonBase createEntity(String text) {
+	@Override
+    public TeamOrPersonBase createEntity(String text) {
 		// FIXME
 		logger.error("FIXMEFIXMEFIXMEFIXMEFIXMEFIXMEFIXMEFIXMEFIXMEFIXMEFIXME");
 		logger.error("We can only create Persons at the moment. See #1820");
@@ -39,15 +38,15 @@ public class AgentCreator implements IEntityCreator<TeamOrPersonBase> {
 		return createEntity(Person.class, text);
 	}
 
-	/** {@inheritDoc} */
-	public TeamOrPersonBase createEntity(Object key, String text) {
-		TeamOrPersonBase teamOrPerson = null;
+	@Override
+    public TeamOrPersonBase createEntity(Object key, String text) {
+		TeamOrPersonBase<?> teamOrPerson = null;
 		if (Team.class.equals((key))) {
 			teamOrPerson = Team.NewInstance();
 		}
 		if (Person.class.equals((key))) {
 			teamOrPerson = Person.NewInstance();
-		}		
+		}
 		if (teamOrPerson != null) {
 			teamOrPerson.setTitleCache(text, true);
 		}
@@ -59,7 +58,8 @@ public class AgentCreator implements IEntityCreator<TeamOrPersonBase> {
 	 *
 	 * @return a {@link java.util.Map} object.
 	 */
-	public Map<Object, String> getKeyLabelPairs() {
+	@Override
+    public Map<Object, String> getKeyLabelPairs() {
 		Map<Object, String> result = new HashMap<Object, String>();
 		result.put(Team.class, "Team");
 		result.put(Person.class, "Person");
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/NameCreator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/NameCreator.java
index 0c1da4f53..b7075e47f 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/NameCreator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/NameCreator.java
@@ -26,11 +26,9 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  *
  * @author p.ciardelli
  * @created 07.07.2009
- * @version 1.0
  */
 public class NameCreator implements IEntityCreator<TaxonName> {
 
-	/** {@inheritDoc} */
     @Override
     public TaxonName createEntity(String text) {
 		TaxonName name = PreferencesUtil.getPreferredNomenclaturalCode().getNewTaxonNameInstance(null);
@@ -39,7 +37,6 @@ public class NameCreator implements IEntityCreator<TaxonName> {
 		return name;
 	}
 
-	/** {@inheritDoc} */
     @Override
     public TaxonName createEntity(Object key, String text) {
 		return ParseHandler.parseName(text, (Rank) key);
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/OccurrenceCreator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/OccurrenceCreator.java
index 9783d0206..66080b55b 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/OccurrenceCreator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/OccurrenceCreator.java
@@ -10,7 +10,6 @@
 package eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator;
 
 import java.util.Arrays;
-import java.util.HashMap;
 import java.util.LinkedHashMap;
 import java.util.Map;
 
@@ -22,7 +21,6 @@ import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
-import eu.etaxonomy.taxeditor.bulkeditor.BulkEditorUtil;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.newWizard.NewDerivedUnitBaseWizard;
 
@@ -40,22 +38,20 @@ public class OccurrenceCreator implements
 	private static final Logger logger = Logger
 			.getLogger(OccurrenceCreator.class);
 
-	/** {@inheritDoc} */
 	@Override
 	public SpecimenOrObservationBase createEntity(String text) {
 
 		return createEntity(DerivedUnit.class, text);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public SpecimenOrObservationBase createEntity(Object key, String text) {
 
-		SpecimenOrObservationBase specimenOrObservation = null;
+		SpecimenOrObservationBase<?> specimenOrObservation = null;
 		NewDerivedUnitBaseWizard wizard = new NewDerivedUnitBaseWizard((SpecimenOrObservationType)key);
 		wizard.init(null, null);
 		if(wizard.getEntity() != null) {
-			WizardDialog dialog = new WizardDialog(BulkEditorUtil.getShell(), wizard);
+			WizardDialog dialog = new WizardDialog(AbstractUtility.getShell(), wizard);
 			int status = dialog.open();
 
 			if (status == IStatus.OK) {
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/ReferenceCreator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/ReferenceCreator.java
index 391440037..9c3e0e271 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/ReferenceCreator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/ReferenceCreator.java
@@ -23,23 +23,14 @@ import eu.etaxonomy.taxeditor.model.MessagingUtils;
  *
  * @author p.ciardelli
  * @created 07.07.2009
- * @version 1.0
  */
 public class ReferenceCreator implements IEntityCreator<Reference> {
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.bulkeditor.IEntityCreator#createEntity(java.lang.String)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public Reference createEntity(String text) {
 		return createEntity(Reference.class, text);
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator#createEntity(java.lang.Class, java.lang.String)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public Reference createEntity(Object key, String text) {
 		Reference reference = null;
@@ -104,9 +95,6 @@ public class ReferenceCreator implements IEntityCreator<Reference> {
 		return reference;
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator#getClassLabelPairs()
-	 */
 	/**
 	 * <p>getKeyLabelPairs</p>
 	 *
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/sortprovider/TitleCacheComparator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/sortprovider/TitleCacheComparator.java
index 4d5892d96..7ce9731a9 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/sortprovider/TitleCacheComparator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/sortprovider/TitleCacheComparator.java
@@ -18,7 +18,6 @@ import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
  *
  * @author p.ciardelli
  * @created 19.08.2009
- * @version 1.0
  */
 public class TitleCacheComparator<T extends IIdentifiableEntity> implements Comparator<T> {
 
@@ -28,10 +27,6 @@ public class TitleCacheComparator<T extends IIdentifiableEntity> implements Comp
 		return o == null ? null : o.getTitleCache();
 	}
 
-	/* (non-Javadoc)
-	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public int compare(T o1, T o2) {
 		String titleCache1 = getTitleCache(o1);
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/internal/TaxeditorBulkeditorPlugin.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/internal/TaxeditorBulkeditorPlugin.java
index 7aa8b0b52..7b2cd8d14 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/internal/TaxeditorBulkeditorPlugin.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/internal/TaxeditorBulkeditorPlugin.java
@@ -7,7 +7,6 @@ import org.osgi.framework.BundleContext;
  * The activator class controls the plug-in life cycle
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxeditorBulkeditorPlugin extends AbstractUIPlugin {
 
@@ -17,30 +16,22 @@ public class TaxeditorBulkeditorPlugin extends AbstractUIPlugin {
 
 	// The shared instance
 	private static TaxeditorBulkeditorPlugin plugin;
-	
+
 	/**
 	 * The constructor
 	 */
 	public TaxeditorBulkeditorPlugin() {
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
-	public void start(BundleContext context) throws Exception {
+	@Override
+    public void start(BundleContext context) throws Exception {
 		super.start(context);
-		plugin = this;		
-		
+		plugin = this;
+
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
-	public void stop(BundleContext context) throws Exception {
+	@Override
+    public void stop(BundleContext context) throws Exception {
 		plugin = null;
 		super.stop(context);
 	}
